diff -ruN mountmedia.orig/mountmedia mountmedia/mountmedia
--- mountmedia.orig/mountmedia	2014-02-13 16:03:32.336846000 +0100
+++ mountmedia/mountmedia	2014-02-13 16:05:17.888934735 +0100
@@ -9,6 +9,10 @@
 
 MNT=/media
 
+log() {
+	logger -t mountmedia "$@"
+}
+
 devlist() {
 	if [ "$WANTFLOPPY" ]; then
 		list-devices floppy
@@ -36,11 +40,16 @@
 	# TO REMOVE, there is a bug somewhere in the kernel, the first
 	# mount command fail when changing floppy disk
 	# so we have to launch mount twice
-	fs_type=$(get_fstype $1)
-	mount -t $fs_type $1 $MNT || true
-	umount $MNT || true
-	mount -t $fs_type $1 $MNT
-	media_mounted && checkcontents $MNT
+	if get_fstype $1; then
+		fs_type=$(get_fstype $1)
+		mount -t $fs_type $1 $MNT || true
+		umount $MNT || true
+		mount -t $fs_type $1 $MNT
+		media_mounted && checkcontents $MNT
+	else
+		log "The filesystem of device=$1 could not be determined."
+		return 1
+	fi
 }
 
 checkcontents() {
